LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Server
User Name
Password
Linux - Server This forum is for the discussion of Linux Software used in a server related context.

Notices



Reply
 
Search this Thread
Old 07-12-2012, 03:08 AM   #1
senthilvael
Member
 
Registered: Nov 2007
Posts: 73

Rep: Reputation: 17
Smile Apache/Php stable version


Hi Team,
I am running Apache 2.2.9 and php 5.2.6. This came with default OS installation. We are in process of upgrading the versions.

When considering apache, the stable release is mentioned as follows.
Stable Release Latest Version: 2.4.2
Stable Release - 2.2 Branch: 2.2.22

So which version I have to use?

Also the php stable version suggested is

Current PHP 5.4 Stable: 5.4.4
Current PHP 5.3 Stable: 5.3.14

Can you please suggest which version have choose?
 
Old 07-12-2012, 03:32 AM   #2
acid_kewpie
Moderator
 
Registered: Jun 2001
Location: UK
Distribution: Gentoo, RHEL, Fedora, Centos
Posts: 43,415

Rep: Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968
Generally you should stick to the versions that your distro provide, if this is a decent quality server OS like RHEL / CentOS. THese will be patched and updated for security and stability, so will suit you much better i you want a well run and managed system, even if the numbers on the package suggest it's "old". https://access.redhat.com/security/updates/backporting/
 
Old 07-12-2012, 05:20 AM   #3
senthilvael
Member
 
Registered: Nov 2007
Posts: 73

Original Poster
Rep: Reputation: 17
Thanks Chris. We are running with Debian 5.0. We are in a position of not upgrading the OS. So that planning to compile only apache and php. The stable version got confused..
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
After compiling PHP 5.3.10, apache is still using the old version jstuardo Linux - Server 2 02-21-2012 09:17 PM
Which version of Apache? PHP? Randux Slackware 6 05-22-2006 04:05 AM
which version of apache is stable and good 1.3 or 2.0 abhis_mail2002 Fedora 2 12-21-2005 01:48 AM
Upgrading PHP without disrupting stable Apache 2.0 install Jake_B Linux - General 7 07-07-2004 10:39 AM
Do stable version Debian can using the KDE 3.2, Gnome 2.6, Apache 2.x etc? explorer1979 Debian 3 06-20-2004 11:03 AM


All times are GMT -5. The time now is 07:39 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration